# Uses of Class
com.ocient.metrics.Metric

Packages that use Metric
Package
Description
com.ocient.metrics
com.ocient.rest

## Uses of Metric in com.ocient.metrics

Subclasses of Metric in com.ocient.metrics
Modifier and Type
Class
Description
`class`
`Gauge`
`class`
`PerfCounter`
Methods in com.ocient.metrics that return types with arguments of type Metric
Modifier and Type
Method
Description
`Optional<Metric<?>>`
MetricsRegistry.`find(Metric.MetricPath path)`
Finds the single `Metric` with the exact given path.
`Stream<Metric<?>>`
MetricsRegistry.`stream()`
Method parameters in com.ocient.metrics with type arguments of type Metric
Modifier and Type
Method
Description
`<R, A> R`
MetricsRegistry.`find(Predicate<Metric<?>> predicate, Collector<Metric<?>,A,R> collector)`
Finds the group of `Metric`s that match the given predicate.
`<R, A> R`
MetricsRegistry.`find(Predicate<Metric<?>> predicate, Collector<Metric<?>,A,R> collector)`
Finds the group of `Metric`s that match the given predicate.
`void`
MetricsRegistry.`removeIf(Predicate<Metric<?>> predicate)`
Removes a counter with the given `Metric.MetricPath`.

## Uses of Metric in com.ocient.rest

Method parameters in com.ocient.rest with type arguments of type Metric
Modifier and Type
Method
Description
`static MetricsResponse`
MetricsResponse.`delayed(List<Metric<?>> metrics, String sessionID)`
Returns a response that defers capture of `Metric` values until JSON serialization using the com.fasterxml.jackson.databind `JsonSerializer`.
`static MetricsResponse`
MetricsResponse.`snapshot(List<Metric<?>> metrics, String sessionID)`
Eagerly snapshots the current values for all `Metric`s.